> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return connectors

> Returns records from the connectors entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /connectors
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /connectors:
    get:
      tags:
        - connectors
      summary: Return connectors
      description: >-
        Returns records from the connectors entity that match the specified
        query parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAllconnectors
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: connectors response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/connectors'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    connectors:
      type: object
      properties:
        ConnectorId:
          description: The id of the connector.
          type: string
        WorkspaceId:
          description: The workspace of the connector.
          type: string
        ConnectorType:
          description: The type of the connector.
          type: string
        AutomationSend:
          description: >-
            When set to True, the connector will automatically process files in
            the Send folder.
          type: boolean
        AutomationRetryInterval:
          description: >-
            The length of time that the application will wait after an error, in
            minutes, before attempting to send the file again. If set to 0, the
            connector will attempt to retry the file every interval.
          type: integer
          format: int32
        AutomationMaxAttempts:
          description: >-
            The maximum number of times that the connector will attempt to
            process the input file in the event that failures are encountered.
            If set to 0, the connector will attempt to retry the file
            indefinitely.
          type: integer
          format: int32
        AutomationReceive:
          description: >-
            When set to True, the connector will attempt to automatically
            receive files at the specified ReceiveInterval.
          type: boolean
        ReceiveInterval:
          description: >-
            The interval at which the connector will attempt to receive files if
            AutomationReceive is set to True.
          type: string
        MaxWorkers:
          description: >-
            The maximum number of workers to assign from the worker pool when
            processing files on this connector. If not set, the default setting
            from the Settings tab of the application will be used.
          type: integer
          format: int32
        MaxFiles:
          description: >-
            The maximum number of files that will be processed for this
            connector each time workers are assigned to this connector. If not
            set, the default setting from the Settings tab of the application
            will be used.
          type: integer
          format: int32
        SendFolder:
          description: >-
            This is the folder where the connector will pick up files to be
            processed.
          type: string
        ReceiveFolder:
          description: This is the folder where the connector will place received files.
          type: string
        SentFolder:
          description: >-
            This is the folder where the connector will place files after they
            have been processed.
          type: string
        SaveToSentFolder:
          description: >-
            When set to True, the connector will keep a copy of sent messages in
            the Sent folder.
          type: boolean
        SentFolderScheme:
          description: >-
            This setting governs the subfolder structure that is used within the
            Sent folder. Available values are Daily, Weekly, Monthly, and
            Yearly.
          type: string
        LogLevel:
          description: >-
            The log level used when writing transcation logs. Available values
            are None, Error, Warning, Info, Debug, and Trace.
          type: string
        LogSubFolderScheme:
          description: >-
            This setting governs the subfolder structure that is used within the
            Logs folder. Available values are Daily, Weekly, Monthly, and
            Yearly.
          type: string
        LogMessages:
          description: >-
            When checked, the connector will keep a copy of the message next to
            the logs for the message in the Logs directory.
          type: boolean
      required:
        - ConnectorId
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````